> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/integrations/api-reference/split-models.md).

# Split Models

## Send a file for a split utility inference.

> Send a file to the asynchronous processing queue for a split utility inference.\
> \
> Results can be retrieved in two ways:\
> \* Loop on the \`polling\_url\` endpoint in the response until the status\
> &#x20; is \`Processed\` or \`Failed\` (polling).\
> \* Use a webhook to be notified when the inference is finished.\
> &#x20; Webhooks can be configured on the platform on a per-model basis.\
> \
> Inferences taking longer than 590 seconds will time out.

```json
{"openapi":"3.1.0","info":{"title":"Mindee API","version":"2.0.0"},"servers":[{"url":"https://api-v2.mindee.net"}],"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"JobResponse":{"properties":{"job":{"$ref":"#/components/schemas/Job"}},"type":"object","required":["job"],"title":"JobResponse","description":"Response for a Job."},"Job":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the Job."},"model_id":{"type":"string","format":"uuid4","title":"Model Id","description":"UUID of the model to be used for the inference."},"filename":{"type":"string","title":"Filename","description":"Name of the file sent."},"alias":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Alias","description":"Optional alias sent for the file."},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"Date and time of the Job creation."},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At","description":"Date and time of the Job completion. Filled once processing is finished."},"status":{"$ref":"#/components/schemas/Status"},"polling_url":{"type":"string","maxLength":2083,"minLength":1,"format":"uri","title":"Polling Url","description":"URL to poll for the Job status."},"result_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Result Url","description":"URL to retrieve the inference results. Will be filled once the inference is ready."},"webhooks":{"items":{"$ref":"#/components/schemas/WebhookResponse"},"type":"array","title":"Webhooks","description":"List of responses from webhooks called. Empty until processing is finished.","default":[]},"error":{"anyOf":[{"$ref":"#/components/schemas/ErrorResponse"},{"type":"null"}],"description":"If an error occurred during processing, contains the problem details."}},"type":"object","required":["id","model_id","filename","created_at","status","polling_url"],"title":"Job","description":"Information on the processing of a file sent to the Mindee API."},"Status":{"type":"string","enum":["Processing","Failed","Processed"],"title":"Status","description":"Possible states of an operation."},"WebhookResponse":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the webhook endpoint."},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"Date and time the webhook was called."},"status":{"$ref":"#/components/schemas/ExtendedStatus","default":"Processing"},"error":{"anyOf":[{"$ref":"#/components/schemas/ErrorResponse"},{"type":"null"}],"description":"If an error occurred when calling the webhook, contains the problem details."},"attempts_count":{"type":"integer","title":"Attempts Count","description":"Number of attempts made to call the webhook.","default":0}},"type":"object","required":["id"],"title":"WebhookResponse","description":"Response from a webhook call."},"ExtendedStatus":{"type":"string","enum":["Processing","Failed","Processed","Skipped"],"title":"ExtendedStatus","description":"Possible states of an extended operation."},"ErrorResponse":{"properties":{"status":{"type":"integer","maximum":599,"minimum":100,"title":"Status","description":"The HTTP status code returned by the server."},"detail":{"type":"string","title":"Detail","description":"A human-readable explanation specific to the occurrence of the problem."},"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem."},"code":{"type":"string","title":"Code","description":"A machine-readable code specific to the occurrence of the problem."},"errors":{"items":{"$ref":"#/components/schemas/ErrorItem"},"type":"array","title":"Errors","description":"A list of explicit details on the problem.","default":[]}},"type":"object","required":["status","detail","title","code"],"title":"ErrorResponse","description":"Error response detailing a problem. The format adheres to RFC 9457."},"ErrorItem":{"properties":{"pointer":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pointer","description":"A JSON Pointer to the location of the body property."},"detail":{"type":"string","title":"Detail","description":"Explicit information on the issue."}},"type":"object","required":["pointer","detail"],"title":"ErrorItem","description":"Explicit details on a problem."}}},"paths":{"/v2/products/split/enqueue":{"post":{"tags":["Split Product"],"summary":"Send a file for a split utility inference.","description":"Send a file to the asynchronous processing queue for a split utility inference.\n\nResults can be retrieved in two ways:\n* Loop on the `polling_url` endpoint in the response until the status\n  is `Processed` or `Failed` (polling).\n* Use a webhook to be notified when the inference is finished.\n  Webhooks can be configured on the platform on a per-model basis.\n\nInferences taking longer than 590 seconds will time out.","operationId":"Enqueue_Split_Product_Inference_v2_products_split_enqueue_post","requestBody":{"content":{"multipart/form-data":{"schema":{"properties":{"model_id":{"type":"string","format":"uuid4","title":"Model Id","description":"Model ID to use for the inference."},"file":{"anyOf":[{"type":"string","contentMediaType":"application/octet-stream"},{"type":"null"}],"title":"File","description":"Upload a file as bytes. Required if `url` is not provided."},"url":{"anyOf":[{"type":"string","maxLength":2048,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Url","description":"Download the file from a URL, must be secure (HTTPS) and publicly available. Required if `file` is not provided."},"file_base64":{"anyOf":[{"type":"string","minLength":15},{"type":"null"}],"title":"File Base64","description":"Upload a file as a base 64 string. Used as an alternative to `file`. *Not recommended*, for specific use only."},"webhook_ids":{"items":{"type":"string","format":"uuid4"},"type":"array","title":"Webhook Ids","description":"Webhook IDs to call after all processing is finished. If empty, no webhooks will be used. Can be a list or comma-separated string."},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Filename","description":"Optional filename to associate with the uploaded or fetched file."},"alias":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Alias","description":"Optional: a free-form string to tag the request with your own identifier. For example, an internal document ID, reference number, or database key. If set, it will be included in the job and result responses."}},"type":"object","required":["model_id"],"title":"UtilityEnqueueForm","description":"Form to enqueue an inference for utility models."}},"application/json":{"schema":{"properties":{"model_id":{"type":"string","format":"uuid4","title":"Model Id","description":"Model ID to use for the inference."},"url":{"anyOf":[{"type":"string","maxLength":2048,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Url","description":"Download the file from a URL, must be secure (HTTPS) and publicly available. Required if `file` is not provided."},"file_base64":{"anyOf":[{"type":"string","minLength":15},{"type":"null"}],"title":"File Base64","description":"Upload a file as a base 64 string. Used as an alternative to `file`. *Not recommended*, for specific use only."},"webhook_ids":{"items":{"type":"string","format":"uuid4"},"type":"array","title":"Webhook Ids","description":"Webhook IDs to call after all processing is finished. If empty, no webhooks will be used. Can be a list or comma-separated string."},"filename":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Filename","description":"Optional filename to associate with the uploaded or fetched file."},"alias":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Alias","description":"Optional: a free-form string to tag the request with your own identifier. For example, an internal document ID, reference number, or database key. If set, it will be included in the job and result responses."}},"type":"object","required":["model_id"],"title":"UtilityEnqueueForm","description":"Form to enqueue an inference for utility models."}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobResponse"}}}},"422":{"description":"Unprocessable Content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Get the status of a file's processing.

> Get the status of an inference that was previously enqueued.\
> \
> If you are using webhooks there is no need to call this route.\
> \
> When the job \`status\` is \`Processing\` or \`Failed\` the return code will be HTTP 200.\
> \
> When the job \`status\` is \`Processed\` the return code will be HTTP 302.\
> \
> The processing result can then be retrieved in two ways:\
> \* \*\*Recommended:\*\* Using a GET on the URL specified in the \`result\_url\` field of the response\
> \* Allowing your client to redirect on the \`Location\` header of the response\
> \
> Note: set the \`redirect\` parameter to \`false\` to disable the redirection behavior, and always return HTTP 200.

```json
{"openapi":"3.1.0","info":{"title":"Mindee API","version":"2.0.0"},"servers":[{"url":"https://api-v2.mindee.net"}],"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"JobResponse":{"properties":{"job":{"$ref":"#/components/schemas/Job"}},"type":"object","required":["job"],"title":"JobResponse","description":"Response for a Job."},"Job":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the Job."},"model_id":{"type":"string","format":"uuid4","title":"Model Id","description":"UUID of the model to be used for the inference."},"filename":{"type":"string","title":"Filename","description":"Name of the file sent."},"alias":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Alias","description":"Optional alias sent for the file."},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"Date and time of the Job creation."},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At","description":"Date and time of the Job completion. Filled once processing is finished."},"status":{"$ref":"#/components/schemas/Status"},"polling_url":{"type":"string","maxLength":2083,"minLength":1,"format":"uri","title":"Polling Url","description":"URL to poll for the Job status."},"result_url":{"anyOf":[{"type":"string","maxLength":2083,"minLength":1,"format":"uri"},{"type":"null"}],"title":"Result Url","description":"URL to retrieve the inference results. Will be filled once the inference is ready."},"webhooks":{"items":{"$ref":"#/components/schemas/WebhookResponse"},"type":"array","title":"Webhooks","description":"List of responses from webhooks called. Empty until processing is finished.","default":[]},"error":{"anyOf":[{"$ref":"#/components/schemas/ErrorResponse"},{"type":"null"}],"description":"If an error occurred during processing, contains the problem details."}},"type":"object","required":["id","model_id","filename","created_at","status","polling_url"],"title":"Job","description":"Information on the processing of a file sent to the Mindee API."},"Status":{"type":"string","enum":["Processing","Failed","Processed"],"title":"Status","description":"Possible states of an operation."},"WebhookResponse":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the webhook endpoint."},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"Date and time the webhook was called."},"status":{"$ref":"#/components/schemas/ExtendedStatus","default":"Processing"},"error":{"anyOf":[{"$ref":"#/components/schemas/ErrorResponse"},{"type":"null"}],"description":"If an error occurred when calling the webhook, contains the problem details."},"attempts_count":{"type":"integer","title":"Attempts Count","description":"Number of attempts made to call the webhook.","default":0}},"type":"object","required":["id"],"title":"WebhookResponse","description":"Response from a webhook call."},"ExtendedStatus":{"type":"string","enum":["Processing","Failed","Processed","Skipped"],"title":"ExtendedStatus","description":"Possible states of an extended operation."},"ErrorResponse":{"properties":{"status":{"type":"integer","maximum":599,"minimum":100,"title":"Status","description":"The HTTP status code returned by the server."},"detail":{"type":"string","title":"Detail","description":"A human-readable explanation specific to the occurrence of the problem."},"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem."},"code":{"type":"string","title":"Code","description":"A machine-readable code specific to the occurrence of the problem."},"errors":{"items":{"$ref":"#/components/schemas/ErrorItem"},"type":"array","title":"Errors","description":"A list of explicit details on the problem.","default":[]}},"type":"object","required":["status","detail","title","code"],"title":"ErrorResponse","description":"Error response detailing a problem. The format adheres to RFC 9457."},"ErrorItem":{"properties":{"pointer":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pointer","description":"A JSON Pointer to the location of the body property."},"detail":{"type":"string","title":"Detail","description":"Explicit information on the issue."}},"type":"object","required":["pointer","detail"],"title":"ErrorItem","description":"Explicit details on a problem."}}},"paths":{"/v2/jobs/{job_id}":{"get":{"tags":["Polling"],"summary":"Get the status of a file's processing.","description":"Get the status of an inference that was previously enqueued.\n\nIf you are using webhooks there is no need to call this route.\n\nWhen the job `status` is `Processing` or `Failed` the return code will be HTTP 200.\n\nWhen the job `status` is `Processed` the return code will be HTTP 302.\n\nThe processing result can then be retrieved in two ways:\n* **Recommended:** Using a GET on the URL specified in the `result_url` field of the response\n* Allowing your client to redirect on the `Location` header of the response\n\nNote: set the `redirect` parameter to `false` to disable the redirection behavior, and always return HTTP 200.","operationId":"Get_Job_Status_v2_jobs__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Job ID","description":"UUID of the job to retrieve"},"description":"UUID of the job to retrieve"},{"name":"redirect","in":"query","required":false,"schema":{"type":"boolean","description":"Automatically redirect to the result URL","default":true,"title":"Redirect"},"description":"Automatically redirect to the result URL"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobResponse"}}}},"302":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobResponse"}}},"description":"Found"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Not Found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Unprocessable Content"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Too Many Requests"}}}}}}
```

## Get the result of a completed split product inference.

> Get the result of a split utility inference that was previously enqueued.\
> \
> Important: always prefer using the value returned in \`job.result\_url\`, rather than calling this endpoint directly.\
> \
> The inference will only be available after it has finished processing.\
> \
> If you are using webhooks there is no need to call this route.\<br/>\
> However, the JSON payload described here is what will be sent to each specified webhook's URL.\
> \
> If you activated the "Delete extracted data when fetched" option for the model,\
> the inference will be deleted after this route completes.\<br>\
> Any further requests to the same inference ID will return a 404.

```json
{"openapi":"3.1.0","info":{"title":"Mindee API","version":"2.0.0"},"servers":[{"url":"https://api-v2.mindee.net"}],"security":[{"APIKeyHeader":[]}],"components":{"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SplitResponse-Output":{"properties":{"inference":{"$ref":"#/components/schemas/SplitInference-Output"}},"type":"object","required":["inference"],"title":"SplitResponse","description":"Response for a split utility inference."},"SplitInference-Output":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the Inference."},"job":{"$ref":"#/components/schemas/BaseJob","title":"Job","description":"Job the inference belongs to."},"model":{"$ref":"#/components/schemas/InferenceModel"},"file":{"$ref":"#/components/schemas/InferenceFile"},"result":{"$ref":"#/components/schemas/SplitResult-Output"}},"type":"object","required":["id","job","model","file","result"],"title":"SplitInference","description":"The inference result for a split utility request."},"BaseJob":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the Job."}},"type":"object","required":["id"],"title":"BaseJob","description":"Base class for Job."},"InferenceModel":{"properties":{"id":{"type":"string","format":"uuid4","title":"ID","description":"UUID of the model."}},"type":"object","required":["id"],"title":"InferenceModel","description":"Model used for the inference."},"InferenceFile":{"properties":{"name":{"type":"string","title":"Name","description":"File name as sent to the API."},"alias":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Alias","description":"Alias sent to the API."},"page_count":{"type":"integer","minimum":1,"title":"Page Count","description":"Number of pages in the file."},"mime_type":{"type":"string","title":"MIME Type","description":"Detected MIME type of the file."}},"type":"object","required":["name","page_count","mime_type"],"title":"InferenceFile","description":"File used for the inference."},"SplitResult-Output":{"properties":{"splits":{"items":{"$ref":"#/components/schemas/SplitRange-Output"},"type":"array","title":"Documents","description":"List of documents identified within a multi-document source file."}},"type":"object","required":["splits"],"title":"SplitResult","description":"Result of the document splitter inference."},"SplitRange-Output":{"properties":{"page_range":{"items":{"type":"integer","minimum":0},"type":"array","maxItems":2,"minItems":2,"title":"Page Range","description":"0-based page indexes, where the first integer indicates the start page and the second integer indicates the end page."},"document_type":{"type":"string","title":"Document Type","description":"The document type, as identified on given classification values."},"extraction_response":{"anyOf":[{"$ref":"#/components/schemas/ExtractionResponse-Output"},{"type":"null"}],"description":"The extraction response associated with the split."}},"type":"object","required":["page_range","document_type"],"title":"SplitRange","description":"A single document with chained result, as identified when splitting a multi-document source file."},"ExtractionResponse-Output":{"properties":{"inference":{"$ref":"#/components/schemas/ExtractionInference-Output"}},"type":"object","required":["inference"],"title":"ExtractionResponse","description":"Response for an extraction inference."},"ExtractionInference-Output":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the Inference."},"job":{"$ref":"#/components/schemas/BaseJob","title":"Job","description":"Job the inference belongs to."},"model":{"$ref":"#/components/schemas/InferenceModel"},"file":{"$ref":"#/components/schemas/InferenceFile"},"result":{"$ref":"#/components/schemas/ExtractionResult-Output"},"active_options":{"$ref":"#/components/schemas/InferenceActiveOptions"}},"type":"object","required":["id","job","model","file","result","active_options"],"title":"ExtractionInference","description":"The inference result for an extraction request."},"ExtractionResult-Output":{"properties":{"fields":{"additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/SimpleField"},{"$ref":"#/components/schemas/ObjectField-Output"},{"$ref":"#/components/schemas/ListField-Output"}]},"propertyNames":{"description":"Name of the field in the data schema."},"type":"object","title":"Fields","description":"Extracted fields, the key corresponds to the field's name in the data schema."},"raw_text":{"anyOf":[{"$ref":"#/components/schemas/RawText"},{"type":"null"}],"title":"Raw Text","description":"If `raw_text` was activated, contains the extracted text of the document."},"rag":{"anyOf":[{"$ref":"#/components/schemas/Rag"},{"type":"null"}],"title":"RAG","description":"If `rag` was activated, contains metadata about the RAG operation."}},"type":"object","required":["fields"],"title":"ExtractionResult","description":"Result of an extraction inference."},"SimpleField":{"properties":{"locations":{"items":{"$ref":"#/components/schemas/FieldLocation"},"type":"array","title":"Locations","default":[]},"confidence":{"anyOf":[{"$ref":"#/components/schemas/FieldConfidence"},{"type":"null"}]},"value":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"number"},{"type":"string"},{"type":"null"}],"title":"Value"}},"additionalProperties":false,"type":"object","required":["value"],"title":"SimpleField","description":"Field having a single value."},"FieldLocation":{"properties":{"polygon":{"items":{"prefixItems":[{"type":"number","maximum":1,"minimum":0,"title":"Coordinate","description":"Coordinate value relative to document edge."},{"type":"number","maximum":1,"minimum":0,"title":"Coordinate","description":"Coordinate value relative to document edge."}],"type":"array","maxItems":2,"minItems":2,"title":"Point","description":"Relative coordinates of a point in [X,Y] notation."},"type":"array","minItems":3,"title":"Polygon","description":"Position information as a list of points in clockwise order."},"page":{"type":"integer","minimum":0,"title":"Page","description":"0-based page index of where the polygon is located."}},"type":"object","required":["polygon","page"],"title":"FieldLocation","description":"A field's location on the document."},"FieldConfidence":{"type":"string","enum":["Certain","High","Medium"],"title":"FieldConfidence","description":"Confidence level of a field."},"ObjectField-Output":{"properties":{"locations":{"items":{"$ref":"#/components/schemas/FieldLocation"},"type":"array","title":"Locations","default":[]},"confidence":{"anyOf":[{"$ref":"#/components/schemas/FieldConfidence"},{"type":"null"}]},"fields":{"additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/SimpleField"},{"$ref":"#/components/schemas/ObjectField-Output"},{"$ref":"#/components/schemas/ListField-Output"}]},"propertyNames":{"description":"Name of the field in the data schema."},"type":"object","title":"Fields"}},"additionalProperties":false,"type":"object","required":["fields"],"title":"ObjectField","description":"Field having a set of sub-fields."},"ListField-Output":{"properties":{"items":{"items":{"oneOf":[{"$ref":"#/components/schemas/SimpleField"},{"$ref":"#/components/schemas/ObjectField-Output"},{"$ref":"#/components/schemas/ListField-Output"}]},"type":"array","title":"Items"},"confidence":{"anyOf":[{"$ref":"#/components/schemas/FieldConfidence"},{"type":"null"}]}},"additionalProperties":false,"type":"object","required":["items"],"title":"ListField","description":"Field having a list of fields."},"RawText":{"properties":{"pages":{"items":{"$ref":"#/components/schemas/RawTextPage"},"type":"array","title":"Pages","description":"List of pages with their extracted text content."}},"type":"object","required":["pages"],"title":"RawText","description":"Raw text extracted from all pages in the document."},"RawTextPage":{"properties":{"content":{"type":"string","title":"Content","description":"Text content of the page as a single string. '\\n' is used to separate lines."}},"type":"object","required":["content"],"title":"RawTextPage","description":"Raw text extracted from a single page."},"Rag":{"properties":{"retrieved_document_id":{"anyOf":[{"type":"string","format":"uuid4"},{"type":"null"}],"title":"Retrieved document ID","description":"The UUID of the matched document used during the RAG operation."}},"type":"object","required":["retrieved_document_id"],"title":"Rag","description":"Metadata about the RAG operation."},"InferenceActiveOptions":{"properties":{"raw_text":{"type":"boolean","title":"Raw Text","description":"Whether the Raw Text feature was activated.\nWhen this feature is activated, the raw text extracted from the document is returned in the result."},"polygon":{"type":"boolean","title":"Polygon","description":"Whether the polygon feature was activated.\nWhen this feature is activated, the bounding-box polygon(s) for each field is returned in the result."},"confidence":{"type":"boolean","title":"Confidence","description":"Whether the confidence feature was activated.\nWhen this feature is activated, a confidence score for each field is returned in the result."},"rag":{"type":"boolean","title":"RAG","description":"Whether the Retrieval-Augmented Generation feature was activated.\nWhen this feature is activated, the RAG pipeline is used to increase result accuracy."},"multipage_context":{"type":"boolean","title":"Multipage Context","description":"Whether the multipage context feature was activated.\nWhen this feature is activated, the model has access to all the other pages as context."},"text_context":{"type":"boolean","title":"Text Context","description":"Whether the text context feature was activated.\nWhen this feature is activated, the provided context is used to improve the accuracy of the inference."},"data_schema":{"$ref":"#/components/schemas/DataSchemaActiveOption","title":"Data Schema","description":"Data schema options provided for the inference."}},"type":"object","required":["raw_text","polygon","confidence","rag","multipage_context","text_context","data_schema"],"title":"InferenceActiveOptions","description":"Options which were activated during the inference.\n\nOptions can be activated or deactivated:\n* By setting their default values on the Platform UI\n* By explicitly setting them in the inference request"},"DataSchemaActiveOption":{"properties":{"replace":{"type":"boolean","title":"Replace","description":"Whether the data schema was replaced for the inference."}},"type":"object","required":["replace"],"title":"DataSchemaActiveOption","description":"Data schema options activated during the inference."},"ErrorResponse":{"properties":{"status":{"type":"integer","maximum":599,"minimum":100,"title":"Status","description":"The HTTP status code returned by the server."},"detail":{"type":"string","title":"Detail","description":"A human-readable explanation specific to the occurrence of the problem."},"title":{"type":"string","title":"Title","description":"A short, human-readable summary of the problem."},"code":{"type":"string","title":"Code","description":"A machine-readable code specific to the occurrence of the problem."},"errors":{"items":{"$ref":"#/components/schemas/ErrorItem"},"type":"array","title":"Errors","description":"A list of explicit details on the problem.","default":[]}},"type":"object","required":["status","detail","title","code"],"title":"ErrorResponse","description":"Error response detailing a problem. The format adheres to RFC 9457."},"ErrorItem":{"properties":{"pointer":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Pointer","description":"A JSON Pointer to the location of the body property."},"detail":{"type":"string","title":"Detail","description":"Explicit information on the issue."}},"type":"object","required":["pointer","detail"],"title":"ErrorItem","description":"Explicit details on a problem."}}},"paths":{"/v2/products/split/results/{inference_id}":{"get":{"tags":["Split Product"],"summary":"Get the result of a completed split product inference.","description":"Get the result of a split utility inference that was previously enqueued.\n\nImportant: always prefer using the value returned in `job.result_url`, rather than calling this endpoint directly.\n\nThe inference will only be available after it has finished processing.\n\nIf you are using webhooks there is no need to call this route.<br/>\nHowever, the JSON payload described here is what will be sent to each specified webhook's URL.\n\nIf you activated the \"Delete extracted data when fetched\" option for the model,\nthe inference will be deleted after this route completes.<br>\nAny further requests to the same inference ID will return a 404.","operationId":"Get_Split_Product_Result_v2_products_split_results__inference_id__get","parameters":[{"name":"inference_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Inference ID","description":"UUID of the inference to retrieve"},"description":"UUID of the inference to retrieve"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SplitResponse-Output"}}}},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Not Found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Unprocessable Content"}}}}}}
```

## The SplitResponse-Output object

```json
{"openapi":"3.1.0","info":{"title":"Mindee API","version":"2.0.0"},"components":{"schemas":{"SplitResponse-Output":{"properties":{"inference":{"$ref":"#/components/schemas/SplitInference-Output"}},"type":"object","required":["inference"],"title":"SplitResponse","description":"Response for a split utility inference."},"SplitInference-Output":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the Inference."},"job":{"$ref":"#/components/schemas/BaseJob","title":"Job","description":"Job the inference belongs to."},"model":{"$ref":"#/components/schemas/InferenceModel"},"file":{"$ref":"#/components/schemas/InferenceFile"},"result":{"$ref":"#/components/schemas/SplitResult-Output"}},"type":"object","required":["id","job","model","file","result"],"title":"SplitInference","description":"The inference result for a split utility request."},"BaseJob":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the Job."}},"type":"object","required":["id"],"title":"BaseJob","description":"Base class for Job."},"InferenceModel":{"properties":{"id":{"type":"string","format":"uuid4","title":"ID","description":"UUID of the model."}},"type":"object","required":["id"],"title":"InferenceModel","description":"Model used for the inference."},"InferenceFile":{"properties":{"name":{"type":"string","title":"Name","description":"File name as sent to the API."},"alias":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Alias","description":"Alias sent to the API."},"page_count":{"type":"integer","minimum":1,"title":"Page Count","description":"Number of pages in the file."},"mime_type":{"type":"string","title":"MIME Type","description":"Detected MIME type of the file."}},"type":"object","required":["name","page_count","mime_type"],"title":"InferenceFile","description":"File used for the inference."},"SplitResult-Output":{"properties":{"splits":{"items":{"$ref":"#/components/schemas/SplitRange-Output"},"type":"array","title":"Documents","description":"List of documents identified within a multi-document source file."}},"type":"object","required":["splits"],"title":"SplitResult","description":"Result of the document splitter inference."},"SplitRange-Output":{"properties":{"page_range":{"items":{"type":"integer","minimum":0},"type":"array","maxItems":2,"minItems":2,"title":"Page Range","description":"0-based page indexes, where the first integer indicates the start page and the second integer indicates the end page."},"document_type":{"type":"string","title":"Document Type","description":"The document type, as identified on given classification values."},"extraction_response":{"anyOf":[{"$ref":"#/components/schemas/ExtractionResponse-Output"},{"type":"null"}],"description":"The extraction response associated with the split."}},"type":"object","required":["page_range","document_type"],"title":"SplitRange","description":"A single document with chained result, as identified when splitting a multi-document source file."},"ExtractionResponse-Output":{"properties":{"inference":{"$ref":"#/components/schemas/ExtractionInference-Output"}},"type":"object","required":["inference"],"title":"ExtractionResponse","description":"Response for an extraction inference."},"ExtractionInference-Output":{"properties":{"id":{"type":"string","format":"uuid4","title":"Id","description":"UUID of the Inference."},"job":{"$ref":"#/components/schemas/BaseJob","title":"Job","description":"Job the inference belongs to."},"model":{"$ref":"#/components/schemas/InferenceModel"},"file":{"$ref":"#/components/schemas/InferenceFile"},"result":{"$ref":"#/components/schemas/ExtractionResult-Output"},"active_options":{"$ref":"#/components/schemas/InferenceActiveOptions"}},"type":"object","required":["id","job","model","file","result","active_options"],"title":"ExtractionInference","description":"The inference result for an extraction request."},"ExtractionResult-Output":{"properties":{"fields":{"additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/SimpleField"},{"$ref":"#/components/schemas/ObjectField-Output"},{"$ref":"#/components/schemas/ListField-Output"}]},"propertyNames":{"description":"Name of the field in the data schema."},"type":"object","title":"Fields","description":"Extracted fields, the key corresponds to the field's name in the data schema."},"raw_text":{"anyOf":[{"$ref":"#/components/schemas/RawText"},{"type":"null"}],"title":"Raw Text","description":"If `raw_text` was activated, contains the extracted text of the document."},"rag":{"anyOf":[{"$ref":"#/components/schemas/Rag"},{"type":"null"}],"title":"RAG","description":"If `rag` was activated, contains metadata about the RAG operation."}},"type":"object","required":["fields"],"title":"ExtractionResult","description":"Result of an extraction inference."},"SimpleField":{"properties":{"locations":{"items":{"$ref":"#/components/schemas/FieldLocation"},"type":"array","title":"Locations","default":[]},"confidence":{"anyOf":[{"$ref":"#/components/schemas/FieldConfidence"},{"type":"null"}]},"value":{"anyOf":[{"type":"boolean"},{"type":"integer"},{"type":"number"},{"type":"string"},{"type":"null"}],"title":"Value"}},"additionalProperties":false,"type":"object","required":["value"],"title":"SimpleField","description":"Field having a single value."},"FieldLocation":{"properties":{"polygon":{"items":{"prefixItems":[{"type":"number","maximum":1,"minimum":0,"title":"Coordinate","description":"Coordinate value relative to document edge."},{"type":"number","maximum":1,"minimum":0,"title":"Coordinate","description":"Coordinate value relative to document edge."}],"type":"array","maxItems":2,"minItems":2,"title":"Point","description":"Relative coordinates of a point in [X,Y] notation."},"type":"array","minItems":3,"title":"Polygon","description":"Position information as a list of points in clockwise order."},"page":{"type":"integer","minimum":0,"title":"Page","description":"0-based page index of where the polygon is located."}},"type":"object","required":["polygon","page"],"title":"FieldLocation","description":"A field's location on the document."},"FieldConfidence":{"type":"string","enum":["Certain","High","Medium"],"title":"FieldConfidence","description":"Confidence level of a field."},"ObjectField-Output":{"properties":{"locations":{"items":{"$ref":"#/components/schemas/FieldLocation"},"type":"array","title":"Locations","default":[]},"confidence":{"anyOf":[{"$ref":"#/components/schemas/FieldConfidence"},{"type":"null"}]},"fields":{"additionalProperties":{"oneOf":[{"$ref":"#/components/schemas/SimpleField"},{"$ref":"#/components/schemas/ObjectField-Output"},{"$ref":"#/components/schemas/ListField-Output"}]},"propertyNames":{"description":"Name of the field in the data schema."},"type":"object","title":"Fields"}},"additionalProperties":false,"type":"object","required":["fields"],"title":"ObjectField","description":"Field having a set of sub-fields."},"ListField-Output":{"properties":{"items":{"items":{"oneOf":[{"$ref":"#/components/schemas/SimpleField"},{"$ref":"#/components/schemas/ObjectField-Output"},{"$ref":"#/components/schemas/ListField-Output"}]},"type":"array","title":"Items"},"confidence":{"anyOf":[{"$ref":"#/components/schemas/FieldConfidence"},{"type":"null"}]}},"additionalProperties":false,"type":"object","required":["items"],"title":"ListField","description":"Field having a list of fields."},"RawText":{"properties":{"pages":{"items":{"$ref":"#/components/schemas/RawTextPage"},"type":"array","title":"Pages","description":"List of pages with their extracted text content."}},"type":"object","required":["pages"],"title":"RawText","description":"Raw text extracted from all pages in the document."},"RawTextPage":{"properties":{"content":{"type":"string","title":"Content","description":"Text content of the page as a single string. '\\n' is used to separate lines."}},"type":"object","required":["content"],"title":"RawTextPage","description":"Raw text extracted from a single page."},"Rag":{"properties":{"retrieved_document_id":{"anyOf":[{"type":"string","format":"uuid4"},{"type":"null"}],"title":"Retrieved document ID","description":"The UUID of the matched document used during the RAG operation."}},"type":"object","required":["retrieved_document_id"],"title":"Rag","description":"Metadata about the RAG operation."},"InferenceActiveOptions":{"properties":{"raw_text":{"type":"boolean","title":"Raw Text","description":"Whether the Raw Text feature was activated.\nWhen this feature is activated, the raw text extracted from the document is returned in the result."},"polygon":{"type":"boolean","title":"Polygon","description":"Whether the polygon feature was activated.\nWhen this feature is activated, the bounding-box polygon(s) for each field is returned in the result."},"confidence":{"type":"boolean","title":"Confidence","description":"Whether the confidence feature was activated.\nWhen this feature is activated, a confidence score for each field is returned in the result."},"rag":{"type":"boolean","title":"RAG","description":"Whether the Retrieval-Augmented Generation feature was activated.\nWhen this feature is activated, the RAG pipeline is used to increase result accuracy."},"multipage_context":{"type":"boolean","title":"Multipage Context","description":"Whether the multipage context feature was activated.\nWhen this feature is activated, the model has access to all the other pages as context."},"text_context":{"type":"boolean","title":"Text Context","description":"Whether the text context feature was activated.\nWhen this feature is activated, the provided context is used to improve the accuracy of the inference."},"data_schema":{"$ref":"#/components/schemas/DataSchemaActiveOption","title":"Data Schema","description":"Data schema options provided for the inference."}},"type":"object","required":["raw_text","polygon","confidence","rag","multipage_context","text_context","data_schema"],"title":"InferenceActiveOptions","description":"Options which were activated during the inference.\n\nOptions can be activated or deactivated:\n* By setting their default values on the Platform UI\n* By explicitly setting them in the inference request"},"DataSchemaActiveOption":{"properties":{"replace":{"type":"boolean","title":"Replace","description":"Whether the data schema was replaced for the inference."}},"type":"object","required":["replace"],"title":"DataSchemaActiveOption","description":"Data schema options activated during the inference."}}}}
```

{% openapi-webhook spec="mindee-api" name="split-utility-processed" method="post" %}
[mindee-api](https://api-v2.mindee.net/openapi.json)
{% endopenapi-webhook %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/integrations/api-reference/split-models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
